## Index

### Interfaces

- IStats

### Type aliases

- Match
- MatchOptions
- MatchStats

## Type aliases

### Match

Match: object

- Defined in Match.ts:5

#### Type declaration

- ##### games: Game[]

- ##### matchID: string

- ##### messages: string[]

- ##### options: MatchOptions

- ##### players: Player[]

- ##### state: "playing" | "finished" | "upcoming"

- ##### stats: MatchStats

- ##### winner: number

### MatchOptions

MatchOptions: object

- Defined in Match.ts:34

#### Type declaration

- ##### autoPlay: boolean

- ##### maxGames: number

- ##### timeout: number

### MatchStats

MatchStats: object

- Defined in Match.ts:16

#### Type declaration

- ##### gamesCompleted: number

- ##### gamesTied: number

- ##### wins: number[]

Generated using TypeDoc